gunnar: server cvs-kolab.sh,1.21,1.22

cvs at kolab.org cvs at kolab.org
Mon Aug 11 10:47:50 CEST 2008


Author: gunnar

Update of /kolabrepository/server
In directory doto:/tmp/cvs-serv2069

Modified Files:
	cvs-kolab.sh 
Log Message:
Update the setup skript for the development environment to Kolab Server 2.2.0.

Index: cvs-kolab.sh
===================================================================
RCS file: /kolabrepository/server/cvs-kolab.sh,v
retrieving revision 1.21
retrieving revision 1.22
diff -u -d -r1.21 -r1.22
--- cvs-kolab.sh	8 May 2008 14:20:34 -0000	1.21
+++ cvs-kolab.sh	11 Aug 2008 08:47:48 -0000	1.22
@@ -10,7 +10,7 @@
 #
 # This program is free software under the GNU GPL (>=v2)
 
-KOLAB_VERSION="2.2-rc-1"
+KOLAB_VERSION="2.2.0"
 
 KOLAB_PACKAGES=/kolab-packages
 KOLAB_DEV_USER=kolabdevel
@@ -63,29 +63,22 @@
 
     echo "Downloading Kolab-Server-${KOLAB_VERSION} sources..."
 
-    wget -q -r -l1 -nd --no-parent -c -R index.html\* http://ftp.gwdg.de/pub/linux/kolab/server/beta/kolab-server-${KOLAB_VERSION}/sources/ || die "Failed to download the sources!"
+    wget -q -r -l1 -nd --no-parent -c -R index.html\* http://ftp.gwdg.de/pub/linux/kolab/server/release/kolab-server-${KOLAB_VERSION}/sources/ || die "Failed to download the sources!"
 
     echo "Verifying source authenticity ..."
 
     gpg -q --keyserver hkp://subkeys.pgp.net --recv-key 5816791A || die "Failed to retrieve signature key!"
-    gpg -q --verify MD5SUMS || die "Invalid signature on the MD5SUMS file!"
+    gpg -q --verify MD5SUMS.sig || die "Invalid signature on the MD5SUMS file!"
     md5sum --status -c MD5SUMS || die "The md5 hashes do not match. You should try to download the packages again."
-    cvs -q -d :pserver:anonymous at intevation.de:/home/kroupware/jail/kolabrepository  co server/install-kolab.sh || die "Failed to retrieve the updated installer."
-    rm install-kolab.sh
-    mv server/install-kolab.sh .
-
-    if [ "${FLAG_HORDE}" == "1" -o "${FLAG_FBVIEW}" == "1"  ]; then
-
-	echo "Downloading Horde support packages ..."
-
-	wget -q -r -l1 -nd --no-parent -c -R index.html\* http://build.pardus.de/downloads/openpkg/ || die "Failed to download the horde support packages!"
-
-    fi
+    chmod u+x install-kolab.sh
 }
 
 install() {
-    if [ ! -e "/${KOLAB_DEV_USER}/CVS" ]; then
+    if [ ! -e "${KOLAB_PACKAGES}/source-original/release-notes.txt" ]; then
 	download
+    fi
+
+    if [ ! -e "/${KOLAB_DEV_USER}/CVS" ]; then
 	cd "${KOLAB_PACKAGES}/source-original"
 
 	echo "Installing the development environment in /${KOLAB_DEV_USER}. This will take a long time ..."
@@ -304,6 +297,7 @@
 
 if [ "${ACTION_DOWNLOAD}" == "1" ]; then
     download
+    exit 0
 fi
 
 if [ "${ACTION_INSTALL}" == "1" ]; then





More information about the commits mailing list